Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

Your Merchant API key. Create one in Dashboard → Developers → API keys.

Path Parameters

storeId
string
required

Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.

Body

application/json
blockVpnProxy
boolean
emailValidation
enum<string>
Available options:
disabled,
block_disposable,
allowlist_domains
allowedEmailDomains
string[]
Maximum array length: 200
Maximum string length: 253
autoBlockOnChargeback
boolean
kickBlockedFromDiscord
boolean
discordGuildId
Maximum string length: 32

Response

The settings.

The response is of type object.